> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Drivers

> List drivers for location.



## OpenAPI

````yaml /spec/oas.yaml get /locations/{location_id}/drivers
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /locations/{location_id}/drivers:
    get:
      tags:
        - Drivers
      summary: List Drivers
      description: List drivers for location.
      operationId: drivers_list_drivers
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Location identifier.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
        - name: page_index
          in: query
          required: false
          schema:
            type: integer
            description: Paged results page index (starting from 1).
        - name: page_limit
          in: query
          required: false
          schema:
            type: integer
            description: Maximun number of results per page.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriverListModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    DriverListModel:
      type: object
      description: Driver list (paged).
      properties:
        current_limit:
          type: integer
          description: Maximun number of results per page.
        current_page:
          type: integer
          description: Paged results page index (starting from 1).
        results:
          $ref: '#/components/schemas/DriverModelArray'
        total_count:
          type: integer
          description: Paged results total viewable records.
        total_pages:
          type: integer
          description: Paged results total pages.
      required:
        - current_limit
        - current_page
        - results
        - total_count
        - total_pages
    DriverModelArray:
      type: array
      items:
        $ref: '#/components/schemas/DriverModel'
    DriverModel:
      type: object
      description: Driver profile.
      properties:
        address:
          type: string
          description: Street address.
        can_assign_to:
          $ref: '#/components/schemas/TruckIdArray'
        can_convert_to_group:
          type: boolean
          description: Can driver convert to group.
        can_create_requests:
          type: boolean
          description: Can driver create requests.
        can_dispatch_to:
          $ref: '#/components/schemas/TruckIdArray'
        can_edit_requests:
          type: boolean
          description: Can driver edit requests.
        can_reposition_asset:
          type: boolean
          description: Can driver reposition asset.
        city:
          type: string
          description: Driver city.
        disable_shift_tracking:
          type: boolean
          description: Disable shift tracking.
        email:
          type: string
          format: email
          description: Email address.
        id:
          type: integer
          format: int64
          description: Driver user identifier.
        interface_color:
          type: string
          description: Hex string color identifier.
        is_deactivated:
          type: boolean
          description: Driver inactive if TRUE.
        license_number:
          type: string
          description: Driver's license number.
        location_id:
          type: integer
          format: int64
          description: Location identifier.
        name:
          type: string
          description: Name (free text).
        phone_number:
          type: string
          description: Phone number.
        state:
          type: string
          description: Driver state.
        third_party_hauler_id:
          type: string
          format: uuid
          description: Third party hauler identifier.
        username:
          type: string
          description: Username.
        zip:
          type: string
          description: Postal code (may include letters and symbols).
      required:
        - address
        - can_convert_to_group
        - can_create_requests
        - can_edit_requests
        - can_reposition_asset
        - city
        - disable_shift_tracking
        - email
        - id
        - interface_color
        - is_deactivated
        - license_number
        - location_id
        - name
        - phone_number
        - state
        - third_party_hauler_id
        - username
        - zip
    TruckIdArray:
      type: array
      items:
        type: integer
        format: int64
        description: Truck identifier.
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````